summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorxrs <xrs@mail36.net>2019-11-29 09:30:35 +0100
committerxrs <xrs@mail36.net>2019-11-29 09:30:35 +0100
commit4653c4b44f6171d05453ce49577491d18048788e (patch)
tree5ba5e2983b5838806e1d2f3cc144fbf0c7e2e93a
parentd779d9659c00e12068ecf266056304e99195a4c6 (diff)
parent2889b023ff826452128bda422fcff545e2c47155 (diff)
Merge branch 'master' of ssh://git.gnunet.org/gnunet
-rwxr-xr-xbootstrap21
-rw-r--r--contrib/scripts/Makefile.am2
-rwxr-xr-xcontrib/scripts/gnunet-bugreport314
-rwxr-xr-xcontrib/scripts/gnunet-chk.py.in2
-rw-r--r--contrib/scripts/gnunet-logread/Makefile.am2
-rwxr-xr-xcontrib/scripts/gnunet-logread/gnunet-logread-ipc-sdedit.in2
-rwxr-xr-xcontrib/scripts/gnunet-logread/gnunet-logread.in2
-rw-r--r--contrib/scripts/gnunet_janitor.py.in2
-rw-r--r--contrib/scripts/gnunet_pyexpect.py.in2
-rw-r--r--contrib/scripts/pydiffer.py.in2
-rwxr-xr-xcontrib/scripts/removetrailingwhitespace.py.in2
-rw-r--r--contrib/scripts/terminate.py.in2
-rw-r--r--src/util/Makefile.am1
13 files changed, 170 insertions, 186 deletions
diff --git a/bootstrap b/bootstrap
index 073308c43..06a82ddfc 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,6 +1,12 @@
#!/bin/sh
+#
+# We should use /usr/bin/env sh, but some systems are notoriously picky.
+# In fact we could ommit this line if some automations wouldn't rely on
+# running this file via ./bootstrap.
+#
# This file is in the public domain.
-
+# SPDX-License-Identifier: 0BSD
+#
# We can't set -eu because we encounter warnings which
# result in stops, whereas the warnings can for now be
# safely ignored.
@@ -12,11 +18,22 @@ cleanup()
rm -rf libltdl
}
+errmsg=''
+
+# Check if shell supports builtin 'type'.
+if test -z "$errmsg"; then
+ if ! (eval 'type type') >/dev/null 2>&1
+ then
+ errmsg='Shell does not support type builtin'
+ exit 1
+ fi
+fi
+
# This is more portable than `which' but comes with
# the caveat of not(?) properly working on busybox's ash:
existence()
{
- command -v "$1" >/dev/null 2>&1
+ type "$1" >/dev/null 2>&1
}
check_uncrustify()
diff --git a/contrib/scripts/Makefile.am b/contrib/scripts/Makefile.am
index 91b2bcd5a..367e5c4c9 100644
--- a/contrib/scripts/Makefile.am
+++ b/contrib/scripts/Makefile.am
@@ -29,7 +29,7 @@ EXTRA_DIST = \
CLEANFILES = \
$(noinst_SCRIPTS)
-do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g'
+do_subst = $(AWK) -v py="$(PYTHON)" '{gsub("@PYTHONEXE@",py); print $$0}'
# Use SUFFIX Extension rules, they are more portable for every
# implementation of 'make'.
diff --git a/contrib/scripts/gnunet-bugreport b/contrib/scripts/gnunet-bugreport
index 724c38e06..21808273a 100755
--- a/contrib/scripts/gnunet-bugreport
+++ b/contrib/scripts/gnunet-bugreport
@@ -1,4 +1,13 @@
-#!/bin/sh
+#!/usr/bin/env sh
+#
+# Caveats:
+# - checks with textprocessing assuming that system language is English.
+# - maybe check last return status instead?
+# - Do we need to set awk to which awk becomes available or is awk
+# always available as just awk?
+#
+# Dedicated to the Public Domain.
+# SPDX-License-Identifier: 0BSD
progname=${0##*/}
@@ -27,13 +36,15 @@ linemsg()
statusmsg "========================================="
}
-# It is okay to assume which(1) here because we provide
-# more than 1 fallback.
-TEST=`type type|grep not`
-if test -n "$TEST"; then
- WHICH=which
-else
- WHICH=type
+errmsg=''
+
+# Check if shell supports builtin 'type'.
+if test -z "$errmsg"; then
+ if ! (eval 'type type') >/dev/null 2>&1
+ then
+ errmsg='Shell does not support type builtin'
+ exit 1
+ fi
fi
os_check()
@@ -50,17 +61,17 @@ os_check()
# awk isn't there it can't be found.
awk_check()
{
- if test -n "`awk 2>&1 | tail -1 | awk '{print $1}'`"; then
+ if test -z "`type awk | awk '/not found/'`"; then
infomsg "awk : Found"
else
warningmsg "awk : Not found!"
+ exit 1
fi
}
gcc_check()
{
- TEST=`$WHICH gcc | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
+ if test -z "`type gcc | awk '/not found/' 2>/dev/null`"; then
VERS=`gcc --version 2>/dev/null | head -n 1`
infomsg "gcc : $VERS"
elif test -n "`gcc 2>&1 | tail -1 | awk '{print $1}'`"; then
@@ -73,8 +84,7 @@ gcc_check()
cc_check()
{
- TEST=`$WHICH cc | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
+ if test -z "`type cc | awk '/not found/' 2>/dev/null`"; then
VERS=`cc --version 2>/dev/null | head -n 1`
infomsg "cc : $VERS"
else
@@ -84,8 +94,7 @@ cc_check()
cplusplus_check()
{
- TEST=`$WHICH c++ | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
+ if test -z "`type c++ | awk '/not found/' 2>/dev/null`"; then
VERS=`c++ --version 2>/dev/null | head -n 1`
infomsg "c++ : $VERS"
else
@@ -95,8 +104,8 @@ cplusplus_check()
clang_check()
{
- TEST=`$WHICH clang | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
+ TEST=`type clang | awk '/not found/' 2>/dev/null`
+ if test -z "$TEST"; then
VERS=`clang --version 2>/dev/null | head -n 1`
infomsg "clang : $VERS"
elif test -n "`clang 2>&1 | tail -1 | awk '{print $1}'`"; then
@@ -109,7 +118,7 @@ clang_check()
clangplusplus_check()
{
- TEST=`$WHICH clang++ | grep -v "not found" 2>/dev/null`
+ TEST=`type clang++ | awk '/not found/' 2>/dev/null`
if test -n "$TEST"; then
VERS=`clang++ --version 2>/dev/null | head -n 1`
infomsg "clang++ : $VERS"
@@ -123,35 +132,41 @@ clangplusplus_check()
gmake_check()
{
- TEST=`$WHICH gmake | grep -v "not found" 2>/dev/null`
- if test -n "$TEST" ; then
+ TEST=`type gmake | awk '/not found/' 2>/dev/null`
+ if test -z "$TEST" ; then
VER=$(gmake --version 2>/dev/null | awk '/GNU Make/ {print $3}')
infomsg "gmake : $VER"
else
TEST=`make --version 2>/dev/null`
if test -n "$TEST"; then
- VER=$(make --version 2>/dev/null | awk '/GNU Make/ {print $3}')
+ VER=$(make --version 2>/dev/null | awk '/GNU Make/ {print $3}')
infomsg "gmake : $VER"
else
- warningmsg "gmake : Not Found"
+ warningmsg "gmake : Not Found"
fi
fi
}
-# Applies for NetBSD make and possibly every make.
+# Applies at least for NetBSD make. This test is a little awkward,
+# we should probably grep the output of 'make -dA'. nbmake identifies,
+# NetBSD make from NetBSD (nbmake is portable, external) does not identify.
make_check()
{
- if test -n "`make 2>/dev/null`"; then
- infomsg "make : Found"
- else
- warningmsg "make : Not Found"
+ TEST=`type make | awk '/not found/' 2>/dev/null`
+ if test -z "$TEST"; then
+ VER=$(make --version 2>/dev/null | awk '// {print $0}')
+ if test -z "$VER"; then
+ infomsg "make : Found"
+ else
+ warningmsg "make : Not Found (unexpected result)"
+ fi
fi
}
autoconf_check()
{
- TEST=`$WHICH autoconf | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
+ TEST=`type autoconf | awk '/not found/' 2>/dev/null`
+ if test -z "$TEST"; then
autoconf --version |\
head -n 1 |\
awk '{\
@@ -167,8 +182,8 @@ autoconf_check()
automake_check()
{
- TEST=`$WHICH automake | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
+ TEST=`type automake | awk '/not found/' 2>/dev/null`
+ if test -z "$TEST"; then
VER=`automake --version 2>/dev/null | head -n 1 | awk '{print $4}'`
infomsg "automake : $VER"
else
@@ -179,8 +194,8 @@ automake_check()
# TODO: More libtool variants.
libtool_check()
{
- TEST=`$WHICH libtoolize | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
+ TEST=`type libtoolize | awk '/not found/' 2>/dev/null`
+ if test -z "$TEST"; then
VER=`libtoolize --version 2>/dev/null | head -n 1 | awk '{print $4}'`
infomsg "libtool : $VER"
else
@@ -190,72 +205,48 @@ libtool_check()
libextractor_check()
{
- TEST=`$WHICH extract | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
- VER=`extract -v 2>/dev/null | head -n 1 | awk '{print $2}'`
- infomsg "libextractor : $VER"
- else
- warningmsg "libextractor : Not Found"
- fi
-}
-
-gnunet08_check()
-{
- if test -x gnunetd; then
- VER=`gnunetd -v | sed -e "s/v//" 2>/dev/null`
- warningmsg "GNUnet 0.8 : $VER (may conflict!)"
- else
- infomsg "GNUnet 0.8 : Not Found (good)"
- fi
-}
-
-gnunet09x_check()
-{
- TEST=`$WHICH gnunet-arm | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
- VER=`gnunet-arm -v | sed -e "s/v//" 2>/dev/null | awk '{print $2}'`
- VER9=`echo $VER | grep ^0\.9\.`
- if test -n "$VER9"; then
- warningmsg "GNUnet 0.9 : $VER"
+ TEST=`type extract | awk '/not found/' 2>/dev/null`
+ if test -z "$TEST"; then
+ TEST=`strings $(type extract | awk '{print $NF}') | awk '/EXTRACTOR_extract/' 2>/dev/null`
+ if test -n "$TEST"; then
+ VER=`extract -v 2>/dev/null | awk '{gsub("v",""); print $NF}'`
+ infomsg "libextractor : $VER"
else
- infomsg "GNUnet 0.9 : Not Found (good)"
+ warningmsg "libextractor : Not Found"
fi
- else
- infomsg "GNUnet 0.9 : Not Found (good)"
fi
}
-gnunet010x_check()
+gnunet_version_check()
{
- TEST=`$WHICH gnunet-arm | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
- VER=`gnunet-arm -v | sed -e "s/v//" 2>/dev/null | awk '{print $2}'`
- VER10=`echo $VER | grep ^0\.10\.`
- if test -n "$VER10"; then
- warningmsg "GNUnet 0.10 : $VER"
- else
- infomsg "GNUnet 0.10 : Not Found (good)"
- fi
- else
- infomsg "GNUnet 0.10 : Not Found (good)"
+ # historical, should not be matched
+ T08=`type gnunetd | awk '/not found/' 2>/dev/null`
+ if test -z "$T08"; then
+ VER08=`gnunetd -v | awk '{if(/0.8/) { gsub("v",""); print $2}}'`
+ infomsg "GNUnet 0.8 : Not Found (good)"
+ # else
+ # warningmsg "GNUnet 0.8 : $VER08 (may conflict!)"
fi
-}
-
-gnunet011x_check()
-{
- TEST=`$WHICH gnunet-arm | grep -v "not found" 2>/dev/null`
- if test -n "$TEST"; then
- VER=`gnunet-arm -v | sed -e "s/v//" 2>/dev/null | awk '{print $2}'`
- infomsg "GNUnet 0.11 : $VER"
+ TEST=`type gnunet-arm | awk '/not found/' 2>/dev/null`
+ if test -z "$TEST"; then
+ gnunet-arm --version |\
+ awk '{\
+ if (/not found/) {\
+ print " INFO: GNUnet : Not found"\
+ } else if (/[0-9]/) {\
+ gsub("v",""); print " INFO: GNUnet : "$2\
+ } else {\
+ print " INFO: GNUnet : Test failed"\
+ }}'
else
- warningmsg "GNUnet 0.11.x : Not Found"
+ warningmsg "GNUnet : Not Found"
fi
}
gitcommit_check()
{
- TEST=$(git | grep -v "not found" 2> /dev/null)
- if test -n "$TEST"; then
+ TEST=$(type git | awk '/not found/' 2> /dev/null)
+ if test -z "$TEST"; then
VER=$(git rev-parse HEAD)
infomsg "git commit : $VER"
else
@@ -265,8 +256,8 @@ gitcommit_check()
gcrypt_check()
{
- TEST=`$WHICH libgcrypt-config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type libgcrypt-config | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
VER=`libgcrypt-config --version 2> /dev/null`
infomsg "libgcrypt : $VER"
else
@@ -276,8 +267,8 @@ gcrypt_check()
mysql_check()
{
- TEST=`$WHICH mysql_config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type mysql_config | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
VER=`mysql_config --version 2> /dev/null`
infomsg "mysql : $VER"
else
@@ -287,18 +278,14 @@ mysql_check()
pkgconf_check()
{
- TEST=`$WHICH pkgconf | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type pkgconf | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
pkgconf --version 2> /dev/null | awk '{print " INFO: pkgconf : "$1}'
else
infomsg "pkgconf : Not Found"
fi
-}
-
-pkgconfig_check()
-{
- TEST=`$WHICH pkg-config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type pkg-config | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
VER=`pkg-config --version 2> /dev/null | awk '{print $1}'`
infomsg "pkg-config : $VER"
else
@@ -308,8 +295,8 @@ pkgconfig_check()
glib2_check()
{
- TEST=`$WHICH pkg-config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type pkg-config | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
VER=`pkg-config --modversion glib-2.0 2> /dev/null | awk '{print $1}'`
infomsg "glib2 : $VER"
else
@@ -317,55 +304,47 @@ glib2_check()
fi
}
-gtk2_check()
+gtk_check()
{
- TEST=`$WHICH pkg-config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type pkg-config | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
VER=`pkg-config --modversion gtk+-2.0 2> /dev/null | awk '{print $1}'`
if test -n "$VER"; then
- infomsg "gtk2+ : $VER"
+ infomsg "GTK2 : $VER"
else
- infomsg "gtk2+ : Not found"
+ infomsg "GTK2 : Not found"
fi
else
- infomsg "gtk2+ : Not Found"
+ infomsg "GTK2 : Not Found"
fi
-}
-gtk3_check()
-{
- TEST=`$WHICH pkg-config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ if test -z "$TEST"; then
VER=`pkg-config --modversion gtk+-3.0 2> /dev/null | awk '{print $1}'`
if test -n "$VER"; then
- infomsg "gtk3+ : $VER"
+ infomsg "GTK3 : $VER"
else
- infomsg "gtk3+ : Not found"
+ infomsg "GTK3 : Not found"
fi
else
- infomsg "gtk3+ : Not Found"
+ infomsg "GTK3 : Not Found"
fi
-}
-gtk4_check()
-{
- TEST=`$WHICH pkg-config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ if test -z "$TEST"; then
VER=`pkg-config --modversion gtk+-4.0 2> /dev/null | awk '{print $1}'`
- if test -n "$VER"; then
- infomsg "gtk4+ : $VER"
+ if test -z "$VER"; then
+ infomsg "GTK4 : $VER"
else
- infomsg "gtk4+ : Not found"
+ infomsg "GTK4 : Not found"
fi
else
- infomsg "gtk4+ : Not Found"
+ infomsg "GTK4 : Not Found"
fi
}
gmp_check()
{
- TEST=`$WHICH dpkg | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type dpkg | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
LINES=`dpkg -s libgmp-dev | grep Version | wc -l 2> /dev/null`
if test "$LINES" = "1"
then
@@ -375,15 +354,15 @@ gmp_check()
errormsg "GMP : dpkg: libgmp-dev not installed"
fi
else
- TEST=`$WHICH rpm | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type rpm | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
rpm -q gmp | sed -e "s/gmp-//" 2> /dev/null | \
infomsg "GMP : $1.rpm"
else
infomsg "GMP : Test not available"
fi
- TEST=$($WHICH pkg_info | grep -v "not found" 2> /dev/null)
- if test -n "$TEST"; then
+ TEST=$(type pkg_info | awk '/not found/' 2> /dev/null)
+ if test -z "$TEST"; then
VER=$(pkg_info -e gmp)
infomsg "GMP : $VER"
else
@@ -394,26 +373,26 @@ gmp_check()
libunistring_check()
{
- TEST=`$WHICH dpkg | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
- LINES=`dpkg -s libunistring-dev | grep Version | wc -l`
+ TEST=`type dpkg | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
+ LINES=`dpkg -s libunistring-dev | awk '/Version/' | wc -l`
if test "$LINES" = "1"
then
- VERSION=`dpkg -s libunistring-dev | grep Version | awk '{print $2}'`
+ VERSION=`dpkg -s libunistring-dev | awk '/Version/ {print $2}'`
infomsg "libunistring : libunistring3-dev-$VERSION.deb"
else
errormsg "libunistring : dpkg: libunistring3-dev not installed"
fi
else
- TEST=`$WHICH rpm | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type rpm | awk '/not found/' 2> /dev/null`
+ if test -z "$TEST"; then
rpm -q unistring | sed -e "s/unistring-//" 2> /dev/null | \
awk '{print "libunistring : "$1.rpm}'
else
infomsg "libunistring : Test not available"
fi
- TEST=$($WHICH pkg_info | grep -v "not found" 2> /dev/null)
- if test -n "$TEST"; then
+ TEST=$(type pkg_info | awk '/not found/' 2> /dev/null)
+ if test -z "$TEST"; then
VER=$(pkg_info -e libunistring)
infomsg "libunistring : $VER"
else
@@ -424,8 +403,8 @@ libunistring_check()
gnugettext_check()
{
- TEST=`$WHICH gettext | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
+ TEST=`type gettext | awk '/not found/'`
+ if test -z "$TEST"; then
if test -n "$(gettext --version 2>&1 | awk '/unknown option/')"; then
infomsg "GNU gettext : Not found"
else
@@ -437,40 +416,38 @@ gnugettext_check()
gettext_check()
{
- if test -n "`$WHICH getext 2>/dev/null`"; then
+ if test -z "`type getext | awk '/not found/'`"; then
infomsg "gettext : Found"
else
infomsg "gettext : Not Found"
fi
}
-# Merge curl_check + gnurl_check -> error if neither is
-# found (yes those systems exist)
-curl_check()
+gnurl_curl_check()
{
- TEST=`$WHICH curl-config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
- VER=`curl-config --version | head -n1 2> /dev/null | awk '{print $2}'`
+ TESTCURL=`type curl-config | awk '/not found/' 2> /dev/null`
+ if test -z "$TESTCURL"; then
+ VER=`curl-config --version 2> /dev/null | awk '{print $NF}'`
infomsg "libcurl : $VER"
else
infomsg "libcurl : Not found"
fi
-}
-gnurl_check()
-{
- TEST=`$WHICH gnurl-config | grep -v "not found" 2> /dev/null`
- if test -n "$TEST"; then
- VER=`gnurl-config --version | head -n1 2> /dev/null | awk '{print $2}'`
+ TESTGNURL=`type gnurl-config | awk '/not found/' 2> /dev/null`
+ if test -z "$TESTGNURL"; then
+ VER=`gnurl-config --version 2>&1 /dev/null | awk '{print $NF}'`
infomsg "libgnurl : $VER"
else
infomsg "libgnurl : Not found"
fi
+
+ if test -z "$TESTCURL" -a "$TESTGNURL"; then
+ warningmsg "libgnurl or libcurl : Not found"
+ fi
}
libmicrohttpd_check()
{
- # TMPFILE=`mktemp /tmp/mhd-version-testXXXXXX`
TMPFILE="bugreport-test_lmhd.c"
cat - >$TMPFILE <<EOF
#include <microhttpd.h>
@@ -481,10 +458,10 @@ int main()
return 0;
}
EOF
- if test -x `$WHICH gcc | awk '{print $NF}'`; then
+ if test -x `type gcc | awk '{print $NF}'`; then
gcc $CPPFLAGS $CFLAGS -o "$TMPFILE".bin "$TMPFILE"
VER=`./"$TMPFILE".bin`
- elif test -x `$WHICH cc | awk '{print $NF}'`; then
+ elif test -x `type cc | awk '{print $NF}'`; then
cc $CPPFLAGS $CFLAGS -o $TMPFILE.bin $TMPFILE
VER=`./$TMPFILE.bin`
else
@@ -496,7 +473,6 @@ EOF
glpk_check()
{
- # TMPFILE=`mktemp /tmp/glpk-version-testXXXXXX`
TMPFILE="bugreport-glpk_check.c"
cat - >$TMPFILE <<EOF
#include <glpk.h>
@@ -507,10 +483,10 @@ int main()
return 0;
}
EOF
- if test -x `$WHICH gcc | awk '{print $NF}'`; then
+ if test -x `type gcc | awk '{print $NF}'`; then
gcc $CPPFLAGS $CFLAGS -o "$TMPFILE".bin $TMPFILE
VER=`./$TMPFILE.bin`
- elif test -x `$WHICH cc | awk '{print $NF}'`; then
+ elif test -x `type cc | awk '{print $NF}'`; then
cc $CPPFLAGS $CFLAGS -o "$TMPFILE".bin $TMPFILE
VER=`./"$TMPFILE".bin`
else
@@ -522,7 +498,6 @@ EOF
gnutls_check()
{
- # TMPFILE=`mktemp /tmp/gnutls-version-testXXXXXX`
TMPFILE="bugreport-gnutls_check.c"
cat - >$TMPFILE <<EOF
#include <gnutls/gnutls.h>
@@ -533,10 +508,10 @@ int main()
return 0;
}
EOF
- if test -x `$WHICH gcc | awk '{print $NF}'`; then
+ if test -x `type gcc | awk '{print $NF}'`; then
gcc $CPPFLAGS $CFLAGS -o "$TMPFILE".bin $TMPFILE
VER=`./"$TMPFILE".bin`
- elif test -x `$WHICH cc | awk '{print $NF}'`; then
+ elif test -x `type cc | awk '{print $NF}'`; then
cc $CPPFLAGS $CFLAGS -o "$TMPFILE".bin $TMPFILE
VER=`./"$TMPFILE".bin`
else
@@ -554,8 +529,6 @@ main()
echo "CPPFLAGS='-I/usr/pkg/include' LDFLAGS='-L/usr/pkg/lib' ${progname}"
return 0
fi
- echo $LDFLAGS
- echo $CPPFLAGS
infomsg "${progname} 0.11.0"
infomsg
infomsg "Please submit the following"
@@ -568,31 +541,24 @@ main()
cplusplus_check
clang_check
clangplusplus_check
- gmake_check
make_check
+ gmake_check
autoconf_check
automake_check
libtool_check
libextractor_check
- gnunet08_check
- gnunet09x_check
- gnunet010x_check
- gnunet011x_check
+ gnunet_version_check
gitcommit_check
gcrypt_check
mysql_check
pkgconf_check
- pkgconfig_check
glib2_check
- gtk2_check
- gtk3_check
- gtk4_check
+ gtk_check
gmp_check
libunistring_check
gnugettext_check
gettext_check
- curl_check
- gnurl_check
+ gnurl_curl_check
libmicrohttpd_check
glpk_check
gnutls_check
diff --git a/contrib/scripts/gnunet-chk.py.in b/contrib/scripts/gnunet-chk.py.in
index 7d2cf73d3..afc0924f4 100755
--- a/contrib/scripts/gnunet-chk.py.in
+++ b/contrib/scripts/gnunet-chk.py.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!@PYTHONEXE@
# This file is part of GNUnet.
# (C) 2013, 2018 Christian Grothoff (and other contributing authors)
#
diff --git a/contrib/scripts/gnunet-logread/Makefile.am b/contrib/scripts/gnunet-logread/Makefile.am
index 7903c07de..790b58fea 100644
--- a/contrib/scripts/gnunet-logread/Makefile.am
+++ b/contrib/scripts/gnunet-logread/Makefile.am
@@ -1,7 +1,7 @@
# This Makefile.am is in the public domain
AM_CPPFLAGS = -I$(top_srcdir)/src/include -I$(top_builddir)/src/include
-do_subst = $(SED) -e 's,[@]PERL[@],$(PERL),g'
+do_subst = $(AWK) -v py="$(PERL)" '{gsub("@PERLEXE@",py); print $$0}'
SUFFIXES = .in
diff --git a/contrib/scripts/gnunet-logread/gnunet-logread-ipc-sdedit.in b/contrib/scripts/gnunet-logread/gnunet-logread-ipc-sdedit.in
index f8b7dc735..72a1551ae 100755
--- a/contrib/scripts/gnunet-logread/gnunet-logread-ipc-sdedit.in
+++ b/contrib/scripts/gnunet-logread/gnunet-logread-ipc-sdedit.in
@@ -1,4 +1,4 @@
-#!@PERL@
+#!@PERLEXE@
# 1. Start sdedit and enable 'RT diagram server' in 'Global preferences'.
#
diff --git a/contrib/scripts/gnunet-logread/gnunet-logread.in b/contrib/scripts/gnunet-logread/gnunet-logread.in
index 9b1c65401..e27c1d3fc 100755
--- a/contrib/scripts/gnunet-logread/gnunet-logread.in
+++ b/contrib/scripts/gnunet-logread/gnunet-logread.in
@@ -1,4 +1,4 @@
-#!@PERL@
+#!@PERLEXE@
# helper tool to make gnunet logs more readable
# try 'gnunet-logread -h' for usage
diff --git a/contrib/scripts/gnunet_janitor.py.in b/contrib/scripts/gnunet_janitor.py.in
index d6834bfb4..9d28d38e6 100644
--- a/contrib/scripts/gnunet_janitor.py.in
+++ b/contrib/scripts/gnunet_janitor.py.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!@PYTHONEXE@
# This file is part of GNUnet.
# (C) 2011, 2018 Christian Grothoff (and other contributing authors)
#
diff --git a/contrib/scripts/gnunet_pyexpect.py.in b/contrib/scripts/gnunet_pyexpect.py.in
index 48f8acdc1..1124dc33c 100644
--- a/contrib/scripts/gnunet_pyexpect.py.in
+++ b/contrib/scripts/gnunet_pyexpect.py.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!@PYTHONEXE@
# This file is part of GNUnet.
# (C) 2010, 2018 Christian Grothoff (and other contributing authors)
#
diff --git a/contrib/scripts/pydiffer.py.in b/contrib/scripts/pydiffer.py.in
index 08f0f4ae6..5235df3f7 100644
--- a/contrib/scripts/pydiffer.py.in
+++ b/contrib/scripts/pydiffer.py.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!@PYTHONEXE@
import os
import sys
diff --git a/contrib/scripts/removetrailingwhitespace.py.in b/contrib/scripts/removetrailingwhitespace.py.in
index e6c2d9014..6a133ecd0 100755
--- a/contrib/scripts/removetrailingwhitespace.py.in
+++ b/contrib/scripts/removetrailingwhitespace.py.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!@PYTHONEXE@
import sys
import re
diff --git a/contrib/scripts/terminate.py.in b/contrib/scripts/terminate.py.in
index 2cb4a13c4..c82fdc981 100644
--- a/contrib/scripts/terminate.py.in
+++ b/contrib/scripts/terminate.py.in
@@ -1,4 +1,4 @@
-#!@PYTHON@
+#!@PYTHONEXE@
# This file is part of GNUnet.
# (C) 2011, 2018 Christian Grothoff (and other contributing authors)
#
diff --git a/src/util/Makefile.am b/src/util/Makefile.am
index fce064d0c..67e131810 100644
--- a/src/util/Makefile.am
+++ b/src/util/Makefile.am
@@ -94,6 +94,7 @@ libgnunetutil_la_SOURCES = \
time.c \
tun.c \
tweetnacl-gnunet.c \
+ tweetnacl-gnunet.h \
speedup.c speedup.h \
proc_compat.c